MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024485Open CASCADE[OCCT] OCCT:Testspublic2013-12-20 08:452014-05-05 13:37
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024485: Draw Harness - create subfolder in temporary directory for temporary test results
DescriptionCurrently execution of "test groupName gridName testName 1" results in test result files being saved right into $TEMP by default.

It makes sense to created folder for such purposes to simplify results analysis.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027340)
ibs (developer)
2013-12-25 14:54

geachtet kgv,
please review the changes in CR24485 OCCT branch
(0027426)
kgv (developer)
2014-01-10 07:58

Dear abv,

look at the patch, please.
(0027459)
abv (manager)
2014-01-14 10:40

Reviewed, please test. I have corrected slightly name of the temp directory generated, and disabled warnings in case if this directory cannot be created (since we do not issue warnings in other similar cases).
(0027485)
mkv (tester)
2014-01-15 10:13

Dear BugMaster,

Fix tested by "hands", it is OK.
Branch CR24485 is TESTED.

- Related Changesets
occt: master a3ef6605
Timestamp: 2014-01-16 08:33:39
Author: ibs
Committer: bugmaster
Details ] Diff ]
0024485: Draw Harness - create subfolder in temporary directory for temporary test results

for each test execution a specific directory is created in a temp directory.
the format of the created directory is next: group-gridname-casename_<data>_<time with secs>

indentations in changes were realigned

Output of warning messages on use of temporary directory disabled
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-20 08:45 kgv New Issue
2013-12-20 08:45 kgv Assigned To => kgv
2013-12-20 10:38 kgv Assigned To kgv => ibs
2013-12-20 10:38 kgv Status new => assigned
2013-12-25 14:54 ibs Note Added: 0027340
2013-12-25 14:54 ibs Assigned To ibs => kgv
2013-12-25 14:54 ibs Status assigned => resolved
2014-01-10 07:58 kgv Note Added: 0027426
2014-01-10 07:58 kgv Assigned To kgv => abv
2014-01-14 10:40 abv Note Added: 0027459
2014-01-14 10:40 abv Assigned To abv => bugmaster
2014-01-14 10:40 abv Status resolved => reviewed
2014-01-14 11:49 mkv Assigned To bugmaster => mkv
2014-01-15 10:13 mkv Note Added: 0027485
2014-01-15 10:14 mkv Test case number => Not needed
2014-01-15 10:14 mkv Assigned To mkv => bugmaster
2014-01-15 10:14 mkv Status reviewed => tested
2014-01-21 11:22 bugmaster Changeset attached => occt master a3ef6605
2014-01-21 11:22 bugmaster Status tested => verified
2014-01-21 11:22 bugmaster Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker